rte_swx_ctl_learner_info(3)

NAME
rte_swx_ctl_learner_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

char name [RTE_SWX_CTL_NAME_SIZE]
uint32_t n_match_fields
uint32_t n_actions
int default_action_is_const
uint32_t size
uint32_t n_key_timeouts

Detailed Description

Learner table info.

Definition at line 542 of file rte_swx_ctl.h.

Field Documentation

  char name[RTE_SWX_CTL_NAME_SIZE]
Learner table name.

Definition at line 544 of file rte_swx_ctl.h.

  uint32_t n_match_fields
Number of match fields.

Definition at line 547 of file rte_swx_ctl.h.

  uint32_t n_actions
Number of actions.

Definition at line 550 of file rte_swx_ctl.h.

  int default_action_is_const
Non-zero (true) when the default action is constant, therefore it cannot be changed; zero (false) when the default action not constant, therefore it can be changed.

Definition at line 556 of file rte_swx_ctl.h.

  uint32_t size
Learner table size parameter.

Definition at line 559 of file rte_swx_ctl.h.

  uint32_t n_key_timeouts
Number of possible key timeout values.

Definition at line 562 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.